summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorzimbatm <zimbatm@zimbatm.com>2017-12-25 17:23:16 +0000
committerYegor Timoshenko <yegortimoshenko@gmail.com>2017-12-25 17:23:35 +0000
commit459ac00c62728c2db61dc080c2f31090215df36a (patch)
tree3605d978612d51ed5c85ff08c3492e57819512bb /tests
parent83890749b29b56bf294ba5f088b3c179e269e7a1 (diff)
tests/eval-test: clean up
Diffstat (limited to 'tests')
-rwxr-xr-xtests/eval-test.sh22
1 files changed, 9 insertions, 13 deletions
diff --git a/tests/eval-test.sh b/tests/eval-test.sh
index 5be9103..0e7fca1 100755
--- a/tests/eval-test.sh
+++ b/tests/eval-test.sh
@@ -1,19 +1,15 @@
#!/bin/sh
-cd $(dirname $0)/..
+set -e
-find=(find . -name default.nix)
+cd "$(dirname "$0")/.."
-for profile in `${find[@]}`; do
- echo evaluating $profile >&2
+for profile in $(find . -name default.nix); do
+ echo evaluating $profile >&2
- nix-build '<nixpkgs/nixos>' \
- -I nixos-config=tests/eval-test.nix \
- -I nixos-hardware-profile=$profile \
- -A system \
- --dry-run
-
- if [ $? -ne 0 ]; then
- exit 1
- fi
+ nix-build '<nixpkgs/nixos>' \
+ -I nixos-config=tests/eval-test.nix \
+ -I nixos-hardware-profile=$profile \
+ -A system \
+ --dry-run
done